Skip to main content
GET
List cash flow statements

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

period
integer

Roll up consecutive monthly rows into N-month buckets. Requires period_start[gte] and period_end[lte].

currency_id[eq]
string

Exact match on currency_id.

currency_id[in]
string

Comma-separated currency_id values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

period_start[eq]
string

Exact match on period_start.

period_start[in]
string

Comma-separated period_start values (OR match).

period_start[gte]
string

period_start greater-than-or-equal.

period_start[lte]
string

period_start less-than-or-equal.

period_end[eq]
string

Exact match on period_end.

period_end[in]
string

Comma-separated period_end values (OR match).

period_end[gte]
string

period_end greater-than-or-equal.

period_end[lte]
string

period_end less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of cash_flow_statements.

data
object
required
request_id
string
required